/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * AccidentalDismemberment
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class AccidentalDismemberment {
  @SerializedName("Claimant_name")
  private String claimantName = null;

  @SerializedName("Type_and_number_of_official")
  private String typeAndNumberOfOfficial = null;

  @SerializedName("Relationship_of_the_deceased_with_the")
  private String relationshipOfTheDeceasedWithThe = null;

  @SerializedName("Other_Relationship_of_the_deceased")
  private String otherRelationshipOfTheDeceased = null;

  @SerializedName("Address_Travel_Accident_Insurance")
  private String addressTravelAccidentInsurance = null;

  @SerializedName("City")
  private String city = null;

  @SerializedName("State")
  private String state = null;

  @SerializedName("Home_Travael_Accident_Insurance")
  private String homeTravaelAccidentInsurance = null;

  @SerializedName("Office_Travel_Accident_Insurance")
  private String officeTravelAccidentInsurance = null;

  @SerializedName("Other_Travel_Accident_Insurance")
  private String otherTravelAccidentInsurance = null;

  @SerializedName("Email_Travel_Accident_Insurance")
  private String emailTravelAccidentInsurance = null;

  @SerializedName("Sex")
  private String sex = null;

  @SerializedName("Date_of_Birth")
  private LocalDate dateOfBirth = null;

  @SerializedName("When_did_the_accident_occur_dismemberm")
  private LocalDate whenDidTheAccidentOccurDismemberm = null;

  @SerializedName("Marital_Status_Travel_Accident_Insurance")
  private String maritalStatusTravelAccidentInsurance = null;

  @SerializedName("Date_from_which_you_have_lived_together")
  private LocalDate dateFromWhichYouHaveLivedTogether = null;

  @SerializedName("Date_card_was_opened")
  private LocalDate dateCardWasOpened = null;

  @SerializedName("Date_card_will_expire")
  private LocalDate dateCardWillExpire = null;

  @SerializedName("Card_status_on_the_date_of_the_accident")
  private String cardStatusOnTheDateOfTheAccident = null;

  @SerializedName("Date_if_termination")
  private LocalDate dateIfTermination = null;

  @SerializedName("Occupation_Travel_Accident_Insurance")
  private String occupationTravelAccidentInsurance = null;

  @SerializedName("Name_Employer_of_the_claimant")
  private String nameEmployerOfTheClaimant = null;

  @SerializedName("Address_Employer_of_the_claimant")
  private String addressEmployerOfTheClaimant = null;

  @SerializedName("Description_of_Incident")
  private String descriptionOfIncident = null;

  @SerializedName("List_all_physicians_and_surgeons")
  private ListAllPhysiciansAndSurgeons listAllPhysiciansAndSurgeons = null;

  @SerializedName("List_all_witnesses")
  private ListAllWitnesses listAllWitnesses = null;

  public AccidentalDismemberment claimantName(String claimantName) {
    this.claimantName = claimantName;
    return this;
  }

   /**
   * Get claimantName
   * @return claimantName
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getClaimantName() {
    return claimantName;
  }

  public void setClaimantName(String claimantName) {
    this.claimantName = claimantName;
  }

  public AccidentalDismemberment typeAndNumberOfOfficial(String typeAndNumberOfOfficial) {
    this.typeAndNumberOfOfficial = typeAndNumberOfOfficial;
    return this;
  }

   /**
   * Get typeAndNumberOfOfficial
   * @return typeAndNumberOfOfficial
  **/
  @ApiModelProperty(example = "t", value = "")
  public String getTypeAndNumberOfOfficial() {
    return typeAndNumberOfOfficial;
  }

  public void setTypeAndNumberOfOfficial(String typeAndNumberOfOfficial) {
    this.typeAndNumberOfOfficial = typeAndNumberOfOfficial;
  }

  public AccidentalDismemberment relationshipOfTheDeceasedWithThe(String relationshipOfTheDeceasedWithThe) {
    this.relationshipOfTheDeceasedWithThe = relationshipOfTheDeceasedWithThe;
    return this;
  }

   /**
   * Get relationshipOfTheDeceasedWithThe
   * @return relationshipOfTheDeceasedWithThe
  **/
  @ApiModelProperty(example = "Im the cardholder", value = "")
  public String getRelationshipOfTheDeceasedWithThe() {
    return relationshipOfTheDeceasedWithThe;
  }

  public void setRelationshipOfTheDeceasedWithThe(String relationshipOfTheDeceasedWithThe) {
    this.relationshipOfTheDeceasedWithThe = relationshipOfTheDeceasedWithThe;
  }

  public AccidentalDismemberment otherRelationshipOfTheDeceased(String otherRelationshipOfTheDeceased) {
    this.otherRelationshipOfTheDeceased = otherRelationshipOfTheDeceased;
    return this;
  }

   /**
   * Get otherRelationshipOfTheDeceased
   * @return otherRelationshipOfTheDeceased
  **/
  @ApiModelProperty(example = "d", value = "")
  public String getOtherRelationshipOfTheDeceased() {
    return otherRelationshipOfTheDeceased;
  }

  public void setOtherRelationshipOfTheDeceased(String otherRelationshipOfTheDeceased) {
    this.otherRelationshipOfTheDeceased = otherRelationshipOfTheDeceased;
  }

  public AccidentalDismemberment addressTravelAccidentInsurance(String addressTravelAccidentInsurance) {
    this.addressTravelAccidentInsurance = addressTravelAccidentInsurance;
    return this;
  }

   /**
   * Get addressTravelAccidentInsurance
   * @return addressTravelAccidentInsurance
  **/
  @ApiModelProperty(example = "d", value = "")
  public String getAddressTravelAccidentInsurance() {
    return addressTravelAccidentInsurance;
  }

  public void setAddressTravelAccidentInsurance(String addressTravelAccidentInsurance) {
    this.addressTravelAccidentInsurance = addressTravelAccidentInsurance;
  }

  public AccidentalDismemberment city(String city) {
    this.city = city;
    return this;
  }

   /**
   * Get city
   * @return city
  **/
  @ApiModelProperty(example = "c", value = "")
  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public AccidentalDismemberment state(String state) {
    this.state = state;
    return this;
  }

   /**
   * Get state
   * @return state
  **/
  @ApiModelProperty(example = "s", value = "")
  public String getState() {
    return state;
  }

  public void setState(String state) {
    this.state = state;
  }

  public AccidentalDismemberment homeTravaelAccidentInsurance(String homeTravaelAccidentInsurance) {
    this.homeTravaelAccidentInsurance = homeTravaelAccidentInsurance;
    return this;
  }

   /**
   * Get homeTravaelAccidentInsurance
   * @return homeTravaelAccidentInsurance
  **/
  @ApiModelProperty(example = "h", value = "")
  public String getHomeTravaelAccidentInsurance() {
    return homeTravaelAccidentInsurance;
  }

  public void setHomeTravaelAccidentInsurance(String homeTravaelAccidentInsurance) {
    this.homeTravaelAccidentInsurance = homeTravaelAccidentInsurance;
  }

  public AccidentalDismemberment officeTravelAccidentInsurance(String officeTravelAccidentInsurance) {
    this.officeTravelAccidentInsurance = officeTravelAccidentInsurance;
    return this;
  }

   /**
   * Get officeTravelAccidentInsurance
   * @return officeTravelAccidentInsurance
  **/
  @ApiModelProperty(example = "o", value = "")
  public String getOfficeTravelAccidentInsurance() {
    return officeTravelAccidentInsurance;
  }

  public void setOfficeTravelAccidentInsurance(String officeTravelAccidentInsurance) {
    this.officeTravelAccidentInsurance = officeTravelAccidentInsurance;
  }

  public AccidentalDismemberment otherTravelAccidentInsurance(String otherTravelAccidentInsurance) {
    this.otherTravelAccidentInsurance = otherTravelAccidentInsurance;
    return this;
  }

   /**
   * Get otherTravelAccidentInsurance
   * @return otherTravelAccidentInsurance
  **/
  @ApiModelProperty(example = "ot", value = "")
  public String getOtherTravelAccidentInsurance() {
    return otherTravelAccidentInsurance;
  }

  public void setOtherTravelAccidentInsurance(String otherTravelAccidentInsurance) {
    this.otherTravelAccidentInsurance = otherTravelAccidentInsurance;
  }

  public AccidentalDismemberment emailTravelAccidentInsurance(String emailTravelAccidentInsurance) {
    this.emailTravelAccidentInsurance = emailTravelAccidentInsurance;
    return this;
  }

   /**
   * Get emailTravelAccidentInsurance
   * @return emailTravelAccidentInsurance
  **/
  @ApiModelProperty(example = "sai.meka@capgemini.com", value = "")
  public String getEmailTravelAccidentInsurance() {
    return emailTravelAccidentInsurance;
  }

  public void setEmailTravelAccidentInsurance(String emailTravelAccidentInsurance) {
    this.emailTravelAccidentInsurance = emailTravelAccidentInsurance;
  }

  public AccidentalDismemberment sex(String sex) {
    this.sex = sex;
    return this;
  }

   /**
   * Get sex
   * @return sex
  **/
  @ApiModelProperty(example = "Male", value = "")
  public String getSex() {
    return sex;
  }

  public void setSex(String sex) {
    this.sex = sex;
  }

  public AccidentalDismemberment dateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
    return this;
  }

   /**
   * Get dateOfBirth
   * @return dateOfBirth
  **/
  @ApiModelProperty(example = "1988-04-01", value = "")
  public LocalDate getDateOfBirth() {
    return dateOfBirth;
  }

  public void setDateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
  }

  public AccidentalDismemberment whenDidTheAccidentOccurDismemberm(LocalDate whenDidTheAccidentOccurDismemberm) {
    this.whenDidTheAccidentOccurDismemberm = whenDidTheAccidentOccurDismemberm;
    return this;
  }

   /**
   * Get whenDidTheAccidentOccurDismemberm
   * @return whenDidTheAccidentOccurDismemberm
  **/
  @ApiModelProperty(example = "2016-01-01", value = "")
  public LocalDate getWhenDidTheAccidentOccurDismemberm() {
    return whenDidTheAccidentOccurDismemberm;
  }

  public void setWhenDidTheAccidentOccurDismemberm(LocalDate whenDidTheAccidentOccurDismemberm) {
    this.whenDidTheAccidentOccurDismemberm = whenDidTheAccidentOccurDismemberm;
  }

  public AccidentalDismemberment maritalStatusTravelAccidentInsurance(String maritalStatusTravelAccidentInsurance) {
    this.maritalStatusTravelAccidentInsurance = maritalStatusTravelAccidentInsurance;
    return this;
  }

   /**
   * Get maritalStatusTravelAccidentInsurance
   * @return maritalStatusTravelAccidentInsurance
  **/
  @ApiModelProperty(example = "Singled", value = "")
  public String getMaritalStatusTravelAccidentInsurance() {
    return maritalStatusTravelAccidentInsurance;
  }

  public void setMaritalStatusTravelAccidentInsurance(String maritalStatusTravelAccidentInsurance) {
    this.maritalStatusTravelAccidentInsurance = maritalStatusTravelAccidentInsurance;
  }

  public AccidentalDismemberment dateFromWhichYouHaveLivedTogether(LocalDate dateFromWhichYouHaveLivedTogether) {
    this.dateFromWhichYouHaveLivedTogether = dateFromWhichYouHaveLivedTogether;
    return this;
  }

   /**
   * Get dateFromWhichYouHaveLivedTogether
   * @return dateFromWhichYouHaveLivedTogether
  **/
  @ApiModelProperty(example = "2016-01-01", value = "")
  public LocalDate getDateFromWhichYouHaveLivedTogether() {
    return dateFromWhichYouHaveLivedTogether;
  }

  public void setDateFromWhichYouHaveLivedTogether(LocalDate dateFromWhichYouHaveLivedTogether) {
    this.dateFromWhichYouHaveLivedTogether = dateFromWhichYouHaveLivedTogether;
  }

  public AccidentalDismemberment dateCardWasOpened(LocalDate dateCardWasOpened) {
    this.dateCardWasOpened = dateCardWasOpened;
    return this;
  }

   /**
   * Get dateCardWasOpened
   * @return dateCardWasOpened
  **/
  @ApiModelProperty(example = "2015-01-01", value = "")
  public LocalDate getDateCardWasOpened() {
    return dateCardWasOpened;
  }

  public void setDateCardWasOpened(LocalDate dateCardWasOpened) {
    this.dateCardWasOpened = dateCardWasOpened;
  }

  public AccidentalDismemberment dateCardWillExpire(LocalDate dateCardWillExpire) {
    this.dateCardWillExpire = dateCardWillExpire;
    return this;
  }

   /**
   * Get dateCardWillExpire
   * @return dateCardWillExpire
  **/
  @ApiModelProperty(example = "2020-01-01", value = "")
  public LocalDate getDateCardWillExpire() {
    return dateCardWillExpire;
  }

  public void setDateCardWillExpire(LocalDate dateCardWillExpire) {
    this.dateCardWillExpire = dateCardWillExpire;
  }

  public AccidentalDismemberment cardStatusOnTheDateOfTheAccident(String cardStatusOnTheDateOfTheAccident) {
    this.cardStatusOnTheDateOfTheAccident = cardStatusOnTheDateOfTheAccident;
    return this;
  }

   /**
   * Get cardStatusOnTheDateOfTheAccident
   * @return cardStatusOnTheDateOfTheAccident
  **/
  @ApiModelProperty(example = "Active", value = "")
  public String getCardStatusOnTheDateOfTheAccident() {
    return cardStatusOnTheDateOfTheAccident;
  }

  public void setCardStatusOnTheDateOfTheAccident(String cardStatusOnTheDateOfTheAccident) {
    this.cardStatusOnTheDateOfTheAccident = cardStatusOnTheDateOfTheAccident;
  }

  public AccidentalDismemberment dateIfTermination(LocalDate dateIfTermination) {
    this.dateIfTermination = dateIfTermination;
    return this;
  }

   /**
   * Get dateIfTermination
   * @return dateIfTermination
  **/
  @ApiModelProperty(example = "2020-01-01", value = "")
  public LocalDate getDateIfTermination() {
    return dateIfTermination;
  }

  public void setDateIfTermination(LocalDate dateIfTermination) {
    this.dateIfTermination = dateIfTermination;
  }

  public AccidentalDismemberment occupationTravelAccidentInsurance(String occupationTravelAccidentInsurance) {
    this.occupationTravelAccidentInsurance = occupationTravelAccidentInsurance;
    return this;
  }

   /**
   * Get occupationTravelAccidentInsurance
   * @return occupationTravelAccidentInsurance
  **/
  @ApiModelProperty(example = "1", value = "")
  public String getOccupationTravelAccidentInsurance() {
    return occupationTravelAccidentInsurance;
  }

  public void setOccupationTravelAccidentInsurance(String occupationTravelAccidentInsurance) {
    this.occupationTravelAccidentInsurance = occupationTravelAccidentInsurance;
  }

  public AccidentalDismemberment nameEmployerOfTheClaimant(String nameEmployerOfTheClaimant) {
    this.nameEmployerOfTheClaimant = nameEmployerOfTheClaimant;
    return this;
  }

   /**
   * Get nameEmployerOfTheClaimant
   * @return nameEmployerOfTheClaimant
  **/
  @ApiModelProperty(example = "e name", value = "")
  public String getNameEmployerOfTheClaimant() {
    return nameEmployerOfTheClaimant;
  }

  public void setNameEmployerOfTheClaimant(String nameEmployerOfTheClaimant) {
    this.nameEmployerOfTheClaimant = nameEmployerOfTheClaimant;
  }

  public AccidentalDismemberment addressEmployerOfTheClaimant(String addressEmployerOfTheClaimant) {
    this.addressEmployerOfTheClaimant = addressEmployerOfTheClaimant;
    return this;
  }

   /**
   * Get addressEmployerOfTheClaimant
   * @return addressEmployerOfTheClaimant
  **/
  @ApiModelProperty(example = "e address ", value = "")
  public String getAddressEmployerOfTheClaimant() {
    return addressEmployerOfTheClaimant;
  }

  public void setAddressEmployerOfTheClaimant(String addressEmployerOfTheClaimant) {
    this.addressEmployerOfTheClaimant = addressEmployerOfTheClaimant;
  }

  public AccidentalDismemberment descriptionOfIncident(String descriptionOfIncident) {
    this.descriptionOfIncident = descriptionOfIncident;
    return this;
  }

   /**
   * Get descriptionOfIncident
   * @return descriptionOfIncident
  **/
  @ApiModelProperty(example = "description", value = "")
  public String getDescriptionOfIncident() {
    return descriptionOfIncident;
  }

  public void setDescriptionOfIncident(String descriptionOfIncident) {
    this.descriptionOfIncident = descriptionOfIncident;
  }

  public AccidentalDismemberment listAllPhysiciansAndSurgeons(ListAllPhysiciansAndSurgeons listAllPhysiciansAndSurgeons) {
    this.listAllPhysiciansAndSurgeons = listAllPhysiciansAndSurgeons;
    return this;
  }

   /**
   * Get listAllPhysiciansAndSurgeons
   * @return listAllPhysiciansAndSurgeons
  **/
  @ApiModelProperty(value = "")
  public ListAllPhysiciansAndSurgeons getListAllPhysiciansAndSurgeons() {
    return listAllPhysiciansAndSurgeons;
  }

  public void setListAllPhysiciansAndSurgeons(ListAllPhysiciansAndSurgeons listAllPhysiciansAndSurgeons) {
    this.listAllPhysiciansAndSurgeons = listAllPhysiciansAndSurgeons;
  }

  public AccidentalDismemberment listAllWitnesses(ListAllWitnesses listAllWitnesses) {
    this.listAllWitnesses = listAllWitnesses;
    return this;
  }

   /**
   * Get listAllWitnesses
   * @return listAllWitnesses
  **/
  @ApiModelProperty(value = "")
  public ListAllWitnesses getListAllWitnesses() {
    return listAllWitnesses;
  }

  public void setListAllWitnesses(ListAllWitnesses listAllWitnesses) {
    this.listAllWitnesses = listAllWitnesses;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AccidentalDismemberment accidentalDismemberment = (AccidentalDismemberment) o;
    return Objects.equals(this.claimantName, accidentalDismemberment.claimantName) &&
        Objects.equals(this.typeAndNumberOfOfficial, accidentalDismemberment.typeAndNumberOfOfficial) &&
        Objects.equals(this.relationshipOfTheDeceasedWithThe, accidentalDismemberment.relationshipOfTheDeceasedWithThe) &&
        Objects.equals(this.otherRelationshipOfTheDeceased, accidentalDismemberment.otherRelationshipOfTheDeceased) &&
        Objects.equals(this.addressTravelAccidentInsurance, accidentalDismemberment.addressTravelAccidentInsurance) &&
        Objects.equals(this.city, accidentalDismemberment.city) &&
        Objects.equals(this.state, accidentalDismemberment.state) &&
        Objects.equals(this.homeTravaelAccidentInsurance, accidentalDismemberment.homeTravaelAccidentInsurance) &&
        Objects.equals(this.officeTravelAccidentInsurance, accidentalDismemberment.officeTravelAccidentInsurance) &&
        Objects.equals(this.otherTravelAccidentInsurance, accidentalDismemberment.otherTravelAccidentInsurance) &&
        Objects.equals(this.emailTravelAccidentInsurance, accidentalDismemberment.emailTravelAccidentInsurance) &&
        Objects.equals(this.sex, accidentalDismemberment.sex) &&
        Objects.equals(this.dateOfBirth, accidentalDismemberment.dateOfBirth) &&
        Objects.equals(this.whenDidTheAccidentOccurDismemberm, accidentalDismemberment.whenDidTheAccidentOccurDismemberm) &&
        Objects.equals(this.maritalStatusTravelAccidentInsurance, accidentalDismemberment.maritalStatusTravelAccidentInsurance) &&
        Objects.equals(this.dateFromWhichYouHaveLivedTogether, accidentalDismemberment.dateFromWhichYouHaveLivedTogether) &&
        Objects.equals(this.dateCardWasOpened, accidentalDismemberment.dateCardWasOpened) &&
        Objects.equals(this.dateCardWillExpire, accidentalDismemberment.dateCardWillExpire) &&
        Objects.equals(this.cardStatusOnTheDateOfTheAccident, accidentalDismemberment.cardStatusOnTheDateOfTheAccident) &&
        Objects.equals(this.dateIfTermination, accidentalDismemberment.dateIfTermination) &&
        Objects.equals(this.occupationTravelAccidentInsurance, accidentalDismemberment.occupationTravelAccidentInsurance) &&
        Objects.equals(this.nameEmployerOfTheClaimant, accidentalDismemberment.nameEmployerOfTheClaimant) &&
        Objects.equals(this.addressEmployerOfTheClaimant, accidentalDismemberment.addressEmployerOfTheClaimant) &&
        Objects.equals(this.descriptionOfIncident, accidentalDismemberment.descriptionOfIncident) &&
        Objects.equals(this.listAllPhysiciansAndSurgeons, accidentalDismemberment.listAllPhysiciansAndSurgeons) &&
        Objects.equals(this.listAllWitnesses, accidentalDismemberment.listAllWitnesses);
  }

  @Override
  public int hashCode() {
    return Objects.hash(claimantName, typeAndNumberOfOfficial, relationshipOfTheDeceasedWithThe, otherRelationshipOfTheDeceased, addressTravelAccidentInsurance, city, state, homeTravaelAccidentInsurance, officeTravelAccidentInsurance, otherTravelAccidentInsurance, emailTravelAccidentInsurance, sex, dateOfBirth, whenDidTheAccidentOccurDismemberm, maritalStatusTravelAccidentInsurance, dateFromWhichYouHaveLivedTogether, dateCardWasOpened, dateCardWillExpire, cardStatusOnTheDateOfTheAccident, dateIfTermination, occupationTravelAccidentInsurance, nameEmployerOfTheClaimant, addressEmployerOfTheClaimant, descriptionOfIncident, listAllPhysiciansAndSurgeons, listAllWitnesses);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AccidentalDismemberment {\n");
    
    sb.append("    claimantName: ").append(toIndentedString(claimantName)).append("\n");
    sb.append("    typeAndNumberOfOfficial: ").append(toIndentedString(typeAndNumberOfOfficial)).append("\n");
    sb.append("    relationshipOfTheDeceasedWithThe: ").append(toIndentedString(relationshipOfTheDeceasedWithThe)).append("\n");
    sb.append("    otherRelationshipOfTheDeceased: ").append(toIndentedString(otherRelationshipOfTheDeceased)).append("\n");
    sb.append("    addressTravelAccidentInsurance: ").append(toIndentedString(addressTravelAccidentInsurance)).append("\n");
    sb.append("    city: ").append(toIndentedString(city)).append("\n");
    sb.append("    state: ").append(toIndentedString(state)).append("\n");
    sb.append("    homeTravaelAccidentInsurance: ").append(toIndentedString(homeTravaelAccidentInsurance)).append("\n");
    sb.append("    officeTravelAccidentInsurance: ").append(toIndentedString(officeTravelAccidentInsurance)).append("\n");
    sb.append("    otherTravelAccidentInsurance: ").append(toIndentedString(otherTravelAccidentInsurance)).append("\n");
    sb.append("    emailTravelAccidentInsurance: ").append(toIndentedString(emailTravelAccidentInsurance)).append("\n");
    sb.append("    sex: ").append(toIndentedString(sex)).append("\n");
    sb.append("    dateOfBirth: ").append(toIndentedString(dateOfBirth)).append("\n");
    sb.append("    whenDidTheAccidentOccurDismemberm: ").append(toIndentedString(whenDidTheAccidentOccurDismemberm)).append("\n");
    sb.append("    maritalStatusTravelAccidentInsurance: ").append(toIndentedString(maritalStatusTravelAccidentInsurance)).append("\n");
    sb.append("    dateFromWhichYouHaveLivedTogether: ").append(toIndentedString(dateFromWhichYouHaveLivedTogether)).append("\n");
    sb.append("    dateCardWasOpened: ").append(toIndentedString(dateCardWasOpened)).append("\n");
    sb.append("    dateCardWillExpire: ").append(toIndentedString(dateCardWillExpire)).append("\n");
    sb.append("    cardStatusOnTheDateOfTheAccident: ").append(toIndentedString(cardStatusOnTheDateOfTheAccident)).append("\n");
    sb.append("    dateIfTermination: ").append(toIndentedString(dateIfTermination)).append("\n");
    sb.append("    occupationTravelAccidentInsurance: ").append(toIndentedString(occupationTravelAccidentInsurance)).append("\n");
    sb.append("    nameEmployerOfTheClaimant: ").append(toIndentedString(nameEmployerOfTheClaimant)).append("\n");
    sb.append("    addressEmployerOfTheClaimant: ").append(toIndentedString(addressEmployerOfTheClaimant)).append("\n");
    sb.append("    descriptionOfIncident: ").append(toIndentedString(descriptionOfIncident)).append("\n");
    sb.append("    listAllPhysiciansAndSurgeons: ").append(toIndentedString(listAllPhysiciansAndSurgeons)).append("\n");
    sb.append("    listAllWitnesses: ").append(toIndentedString(listAllWitnesses)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

